Follow us on Twitter X-Cart on Facebook Wiki
Shopping cart software Solutions for online shops and malls

X-Cart 5.3 roadmap
 
Reply
   X-Cart forums > News and Announcements
 
Thread Tools
  #11  
Old 11-24-2015, 01:34 PM
 
cheap eyeglasses cheap eyeglasses is online now
 

Advanced Member
  
Join Date: Oct 2010
Posts: 84
 

Default Re: X-Cart 5.3 roadmap

Hope it is more stable, and we can update x-cart v4 to v5.
Reply With Quote
  #12  
Old 11-24-2015, 04:03 PM
  cherie's Avatar 
cherie cherie is offline
 

X-Wizard
  
Join Date: May 2003
Location: USA
Posts: 1,532
 

Default Re: X-Cart 5.3 roadmap

It's amazing/humorous that after all of these years we are still discussing upgrade woes.

I like the roadmap. It's nice to see where you are heading. Here is a simplified wish list based on this new roadmap:

5.3
  • HTML5, CSS3
  • v4-style skin directories
  • Move to Twig
  • PHP 5.4+
4.8
  • HTML5, CSS3
  • Already has skin directories
  • Move to Twig
  • PHP 5.4+
5.4
  • Seamless upgrade from v4

Or we could have just done this (based on previous feedback):

4.1-4.5
  • Major iterative improvements to the upgrade process including isolating the core
5.0
  • HTML5, CSS3
  • Smarty 3 or Twig
  • Seamless upgrade from v4
__________________
redlimeweb.com
custom mods and design integration
4.7 linux
Reply With Quote

The following user thanks cherie for this useful post:
bigredseo (12-18-2015)
  #13  
Old 11-25-2015, 02:37 AM
 
xim xim is offline
 

X-Cart team
  
Join Date: Nov 2004
Posts: 675
 

Default Re: X-Cart 5.3 roadmap

Mike, I remember our dialog in June. Steve, we have taken into consideration your ideas. Here are some facts and planned improvements, guys:

1) You are right. We used to release new versions too often. We had to do it because we got feedback and requests from our existing merchants who had to be provided with solutions for real cases. We just could not tell them “Please wait for six months, guys”. There have always been two sides: developers and merchants. We have to help merchants in the first place.


2) After version 5.2.6 X-Cart became much more powerful and stable, so we were able to change the release procedure. There was only one major update since IRCE 2015 - 5.2.7. The July 5.2.6 release includes bug fixes and improvements of back-end payments and image settings only, no more major changes. The versions 5.2.8-5.2.10 include only bug fixes.


3) We are aiming to offer a schedule of one release per 6-12 months in the future, but at the moment we have to schedule one major update in 3-4 months.


4) In 5.3 we will implement the 4th digit to the core version to distribute bug fixes only. So, an increment from 5.3.0.x to 5.3.1.0 in the version number will mean that the release is a feature update, and an increment from 5.3.1.0 to 5.3.1.1 will mean that it is a bugfix update.
__________________
Sincerely yours, Max Vydrin
Reply With Quote

The following 2 users thank xim for this useful post:
cflsystems (11-25-2015), totaltec (11-25-2015)
  #14  
Old 11-25-2015, 06:36 AM
 
hartwellj hartwellj is offline
 

Senior Member
  
Join Date: Dec 2007
Posts: 137
 

Default Re: X-Cart 5.3 roadmap

The problem now is that you are essentially making devs upgrade. This is how: Check out this module: http://www.x-cart.com/extensions/addons/product-stickers.html. The requirements for this module is X-Cart 5.2. What if a user has a stable store in version 5.1? He can't use any new modules, because you create your modules for the new version.

Do you guys realize that our shopping carts provide finances for our families and kids. You are messing with families and our livelihoods. These carts are not experiements for fun new features. STABILITY IS KEY!

And as I have said over and over.....If you have any custom modules developed by X-Cart and you are forced to move to XC 5.3, all of your custom modules have to be adapted and X-Cart will not give that to you for free. But if I stay at version 5.2.10, then all of the new modules on the marketplace are going to be compatible with only the new version.

At this moment, I regret going to XC5. It's been a month and my support queue is full of bugs and the adaptation of my custom mods to the new version.

I just can't....can't keep going through this! PLEASE X-CART...I'm already getting my cart ready to go back down to X-Cart 4.7. It'll take a while, but for me stability pays the bills.





Quote:
Originally Posted by xim
Mike, I remember our dialog in June. Steve, we have taken into consideration your ideas. Here are some facts and planned improvements, guys:

1) You are right. We used to release new versions too often. We had to do it because we got feedback and requests from our existing merchants who had to be provided with solutions for real cases. We just could not tell them “Please wait for six months, guys”. There have always been two sides: developers and merchants. We have to help merchants in the first place.


2) After version 5.2.6 X-Cart became much more powerful and stable, so we were able to change the release procedure. There was only one major update since IRCE 2015 - 5.2.7. The July 5.2.6 release includes bug fixes and improvements of back-end payments and image settings only, no more major changes. The versions 5.2.8-5.2.10 include only bug fixes.


3) We are aiming to offer a schedule of one release per 6-12 months in the future, but at the moment we have to schedule one major update in 3-4 months.


4) In 5.3 we will implement the 4th digit to the core version to distribute bug fixes only. So, an increment from 5.3.0.x to 5.3.1.0 in the version number will mean that the release is a feature update, and an increment from 5.3.1.0 to 5.3.1.1 will mean that it is a bugfix update.
__________________
Version 5.2.10 - Live
Reply With Quote
  #15  
Old 11-25-2015, 07:32 AM
 
kevinrm kevinrm is online now
 

X-Adept
  
Join Date: Aug 2003
Posts: 967
 

Default Re: X-Cart 5.3 roadmap

Honestly speaking, 5.2.10 is the most stable version of XC5 to date. How can you expect them to keep making mods for older versions that are not stable?

Further, if you have 5.2.10 and they release 5.2.11, you *should* upgrade because it's going to have a lot of bug fixes. The modules designed for 5.2.10 will all work on 5.2.11.

You could also make a development store of 5.3 and work on it while keeping your 5.2 store live.

I used to use 4.6.6 platform, it was good. But no way would I go back to that at this stage, just when XC5 is finally starting to work well. Eventually, you are going to have to move up if you want to keep up with your competitors. Plus they will eventually phase that out. I can at least say that with the current XC 5.2.10, you should be able to make good sales with it - I am. Yes, it took me a few months of hell to get here but there's no going back for me at this point.
__________________
X-Cart 5.3.6.4 Live
PHP7.2.22
FPM/FastCGI - enabled
Zend OpCache OFF - Won't work with phar extension in cPanel on
10.3.16-MariaDB
Apache 2.4.34
CENTOS 6.8 64Bit Single Quad-Core E3-1241v3 3.4Ghz 8M 1600 w/ HT
32GB RAM 2x 512GB Samsung 850 Pro SSD RAID 1
Reply With Quote

The following 2 users thank kevinrm for this useful post:
cflsystems (11-25-2015), rocky (11-25-2015)
  #16  
Old 11-25-2015, 07:53 AM
  cflsystems's Avatar 
cflsystems cflsystems is offline
 

Veteran
  
Join Date: Apr 2007
Posts: 13,615
 

Default Re: X-Cart 5.3 roadmap

Thanks Max, your comments above sound promising.

@ hartwellj - I don't really agree with your last comments. New modules release was always with newer cart versions in C4 and XC5. Imagine you are using XC 4.5.2. New module is released for XC4 based on XC 4.7.4. Do you really expect the developer of this module (whoever that is) to release it for all XC versions even for 4.1.x? (Oh yes I have clients still using 4.1.8 and not thinking about an upgrade at all)

You can't expect every new module to be compatible with all XC versions. XC 5.1.x is old and it is understandable new modules will not be coded for it. But you can always ask the developer of the module for custom adaptation of the module to your cart.
__________________
Steve Stoyanov
CFLSystems.com
Web Development
Reply With Quote
  #17  
Old 11-25-2015, 08:07 AM
 
hartwellj hartwellj is offline
 

Senior Member
  
Join Date: Dec 2007
Posts: 137
 

Default Re: X-Cart 5.3 roadmap

Ok kev....that's fair and you are right. But remember, I have custom mods, so my situation is a little different.

But what happens when you are forced to upgrade to 5.3, because the Marketplace only supports version 5.3. But you are so happy with 5.2, because of the stability. Then comes 5.4 with a whole new Core change.

My point is...when will it end. Each Core update, requires more money with custom mods.

Quote:
Originally Posted by kevinrm
Honestly speaking, 5.2.10 is the most stable version of XC5 to date. How can you expect them to keep making mods for older versions that are not stable?

Further, if you have 5.2.10 and they release 5.2.11, you *should* upgrade because it's going to have a lot of bug fixes. The modules designed for 5.2.10 will all work on 5.2.11.

You could also make a development store of 5.3 and work on it while keeping your 5.2 store live.

I used to use 4.6.6 platform, it was good. But no way would I go back to that at this stage, just when XC5 is finally starting to work well. Eventually, you are going to have to move up if you want to keep up with your competitors. Plus they will eventually phase that out. I can at least say that with the current XC 5.2.10, you should be able to make good sales with it - I am. Yes, it took me a few months of hell to get here but there's no going back for me at this point.
__________________
Version 5.2.10 - Live
Reply With Quote
  #18  
Old 11-25-2015, 08:11 AM
 
hartwellj hartwellj is offline
 

Senior Member
  
Join Date: Dec 2007
Posts: 137
 

Default Re: X-Cart 5.3 roadmap

I disagree.....For most of the X-Cart Modules, the compatibility is a range: 4.2-4.7. I don't see on the Marketplace that the modules for XC5 have a range: 5.1 or higher. When a module is made for XC5.2, why discontinue completely the module for XC5.1. Keep the range and allow customers who want to stay STABLE to use the older mod.

Listen to your statement: "XC 5.1 is old"....hahaha....you've been duked as well. How in the world could XC 5.1 be old already. Do you see how fast these upgrades are moving, to where version 5.1 is already discontinued and extinct.....You've just reinforced my point.


Quote:
Originally Posted by cflsystems
Thanks Max, your comments above sound promising.

@ hartwellj - I don't really agree with your last comments. New modules release was always with newer cart versions in C4 and XC5. Imagine you are using XC 4.5.2. New module is released for XC4 based on XC 4.7.4. Do you really expect the developer of this module (whoever that is) to release it for all XC versions even for 4.1.x? (Oh yes I have clients still using 4.1.8 and not thinking about an upgrade at all)

You can't expect every new module to be compatible with all XC versions. XC 5.1.x is old and it is understandable new modules will not be coded for it. But you can always ask the developer of the module for custom adaptation of the module to your cart.
__________________
Version 5.2.10 - Live
Reply With Quote
  #19  
Old 11-25-2015, 08:12 AM
  cflsystems's Avatar 
cflsystems cflsystems is offline
 

Veteran
  
Join Date: Apr 2007
Posts: 13,615
 

Default Re: X-Cart 5.3 roadmap

Quote:
Originally Posted by hartwellj
But what happens when you are forced to upgrade to 5.3, because the Marketplace only supports version 5.3. But you are so happy with 5.2, because of the stability. Then comes 5.4 with a whole new Core change.

I don't think you are forced to upgrade. You can stay with the version you like and works for you for as long as you want.

BTW I think the latest posts here moved to a different direction and not the one intended for this thread. Maybe moderator can move them to new one?
__________________
Steve Stoyanov
CFLSystems.com
Web Development
Reply With Quote
  #20  
Old 11-25-2015, 08:20 AM
  cflsystems's Avatar 
cflsystems cflsystems is offline
 

Veteran
  
Join Date: Apr 2007
Posts: 13,615
 

Default Re: X-Cart 5.3 roadmap

Quote:
Originally Posted by hartwellj
I disagree.....For most of the X-Cart Modules, the compatibility is a range: 4.2-4.7. I don't see on the Marketplace that the modules for XC5 have a range: 5.1 or higher. When a module is made for XC5.2, why discontinue completely the module for XC5.1. Keep the range and allow customers who want to stay STABLE to use the older mod.

Listen to your statement: "XC 5.1 is old"....hahaha....you've been duked as well. How in the world could XC 5.1 be old already. Do you see how fast these upgrades are moving, to where version 5.1 is already discontinued and extinct.....You've just reinforced my point.

I can give you many examples of modules which are not in the range 4.2-4.7. This range is true with modules that started with 4.2 or 4.3. With newer modules which first release was for 4.7 you will have them compatible with 4.7 and 4.6 but not below.

And yes 5.1.x is old as now we have way newer version, improved, faster, less buggy. See release dates - http://kb.x-cart.com/display/XDD/Changelog
I am not saying 5.1.x does not work or you should not stay with it. All I am saying is you cannot expect module released today to also support older versions of XC. This will be up to the developer to decide if there is enough interest to have it running under older version.
I know all XC devs will consider this if they see enough interest to satisfy the expense of coding for older versions.
__________________
Steve Stoyanov
CFLSystems.com
Web Development
Reply With Quote
Reply
   X-Cart forums > News and Announcements


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -8. The time now is 12:59 PM.

   

 
X-Cart forums © 2001-2018